> For the complete documentation index, see [llms.txt](https://help.security.gallagher.com/knowledge-hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.security.gallagher.com/knowledge-hub/developer/rest-api/interlock-groups.md).

# Interlock Groups

These methods, yet to be released, will give you read access to Interlock Group items.

**API support for interlocks is still in development and may change in future versions.**

The first use case below introduces the main entry point. It is a paginated search interface that gives you any number of interlock groups, each containing the fields you ask for in the query. You can, for instance, ask for the IDs you need to monitor their status.

### Interlock Group status flags

If an interlock is not in an error state it will return one flag out of the following set:

* `secure` means the interlock items are closed and the door/s will open to a badge. This is probably where an interlock group spends most of its time.
* `open` means the interlock's doors will not open because at least one of the other items in the group already is. This is a normal state after someone gains access at an interlock door. It will last until the door closes.
* `overridden` means the interlock group has received a disable override. Doors will open as normal.
* `forced` means that the interlock rules have been breached. This could be because someone forced a door, or used an emergency release while another door was already open.

If an interlock is completely normal it will report 'secure' or 'open'.

### Use cases

#### Listing Interlock Groups

1. `GET /api`.
2. Follow the link at `features.interlockGroups.interlockGroups.href`, appending a search term such as `name=substring` to select the interlocks, `top` if you expect lots of them, and `fields` to tell the server what to return about each. The next section covers those query parameters.
3. Process the results, following the `next` link if there is one.

#### Finding the status of many items including an interlock group

1. Find the IDs of all the items you're interested in, including the interlock group, by searching for them with a query parameter appended such as `fields=name,id`.
2. Create a status subscription for those items.

#### Finding the status of an interlock group

1. Find the href for the interlock using the process above, and GET it.
2. Take the `updates` href from that page.
3. GET it.
4. Use the flag rules above to interpret the status flags you receive.
5. Follow the `next` link to stay up to date.

#### Overriding an Interlock Group

1. Find the href for the interlock using the process above.
2. GET it.
3. Find the API URL for the override you need (disable or re-enable) in the `commands` structure of the results.
4. POST to that URL with an empty body.

### Licensing

All the POSTs that override items require RESTOverrides.

If you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough information to let you find the item you want to override but they do not return its status. In 8.50 and older, the GET will fail without RESTStatus.

The RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well as override it, you will need both.

## Search interlock groups

> \
> \*\*Not yet available.  API support for interlocks is still in development and may change in\
> future versions.\*\*\
> \
> This returns a summary of the interlock groups matching your search criteria.\
> \
> The result will contain no more than 100 or 1000 interlock groups (depending on your\
> version), or as many as you asked for; you should follow the \`next\`\
> link, if it is present, to collect the next batch.\
> \
> If your result set is empty it means your operator does not have a privilege that allows viewing\
> interlock groups, such as 'View Site', 'Edit Site', or 'Maintenance Override'.  Perhaps there\
> are no interlock groups in the divisions in which your operator has privileges, or your\
> operator has no privileges at all.\
> \
> When you have loaded them all there will be no \`next\` link.\
> \
> Do not code this URL into your application.  Take it from the 'href' field in the\
> \`features.interlockGroups.interlockGroups\` section of \`/api\`.<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Interlock Groups","description":"These methods, yet to be released, will give you read access to Interlock Group items.\n    \n**API support for interlocks is still in development and may change in future versions.**\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of interlock groups, each containing the fields you ask for in the\nquery.  You can, for instance, ask for the IDs you need to monitor their status.\n\n## Interlock Group status flags\n\nIf an interlock is not in an error state it will return one flag out of the following set:\n\n- `secure` means the interlock items are closed and the door/s will open to a badge.  This is\n  probably where an interlock group spends most of its time.\n\n- `open` means the interlock's doors will not open because at least one of the other items in\n  the group already is.  This is a normal state after someone gains access at an interlock door.\n  It will last until the door closes.\n\n- `overridden` means the interlock group has received a disable override.  Doors will open as\n  normal.\n\n- `forced` means that the interlock rules have been breached.  This could be because someone\n  forced a door, or used an emergency release while another door was already open.\n\nIf an interlock is completely normal it will report 'secure' or 'open'.\n\n## Use cases\n\n### Listing Interlock Groups\n1. `GET /api`.\n2. Follow the link at `features.interlockGroups.interlockGroups.href`, appending a search term\n   such as `name=substring` to select the interlocks, `top` if you expect lots of them, and\n   `fields` to tell the server what to return about each.  The next section covers those query\n   parameters.\n3. Process the results, following the `next` link if there is one.\n\n### Finding the status of many items including an interlock group\n1. Find the IDs of all the items you're interested in, including the interlock group, by\n   searching for them with a query parameter appended such as `fields=name,id`.\n2. Create a [status subscription](items#status-subscriptions) for those items.\n\n### Finding the status of an interlock group\n1. Find the href for the interlock using the process above, and GET it.\n3. Take the `updates` href from that page.\n4. GET it.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n### Overriding an Interlock Group\n1. Find the href for the interlock using the process above.\n2. GET it.\n3. Find the API URL for the override you need (disable or re-enable) in the `commands` structure\n   of the [results](models#interlockgroupdetail).\n4. POST to that URL with an empty body.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both."}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"sort":{"name":"sort","in":"query","schema":{"type":"string","enum":["id","name","-id","-name"]},"required":false,"description":"Changes the sort field between database ID and name.\n\nIf you prefix `id` or `name` with a minus sign (ASCII 45), the sort order is reversed.\n\nThere are two very strong reasons to sort by ID:\n\n1. Sorting by name carries a risk of missing or duplicating objects if your result set spans\n   multiple pages and another operator is editing the database while your REST client is\n   enumerating them.  This is known as \"page drift.\"  Sorting by ID does not carry that risk.\n2. Following a `next` link is _dramatically_ quicker when sorting by ID.\n\nWe _strongly_ recommend sorting by ID.  In case you were still in doubt, we will do that by\ndefault in a future version of Command Centre.\n\nThe server silently ignores anything except the options listed here.\n"},"top":{"name":"top","in":"query","required":false,"schema":{"type":"integer","minimum":1},"description":"Limits the results to no more than this many items per page.\n\nOlder versions of Command Centre returned 100 items per page in the absence of this parameter.  That is acceptable for GUI\napplications that will only display the first page, but for integrations that intend to\nproceed through the entire database it causes a lot of chatter.\n\n8.70 and later versions will default to 1000 items per request.  This is about where a graph\nof throughput versus page size begins to level out.\n"},"name":{"name":"name","in":"query","schema":{"type":"string"},"description":"Limits the returned items to those with a name that matches this string.  Without surrounding\nquotes or a percent sign or underscore, it is a substring match; surround the parameter with\ndouble quotes `\"...\"` for an exact match.  Without quotes, a percent sign `%` will match any\nsubstring and an underscore will match any single character.\n\nThe search is always case-insensitive.  Results are undefined if you do a substring search for\nthe empty string (`name=`).  You will receive no items if you search for those with no name\n(`name=\"\"`), as all items must have a name.\n\nSearch parameters are ANDed together.\n"},"division":{"name":"division","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false,"description":"Limits the returned items to those that are in these divisions.\n\nThat includes all the items in those divisions' child divisions, because Command Centre treats\nitems as though they are also in their division's parent, and its parent, and so on up to the\nroot division.\n\nSeparate the IDs of the divisions in you are interested with commas.  Item IDs are short\nalphanumeric strings, not URLs.\n\nResults are undefined if you provide an ID that is not in the form of a division ID.\n\nSearch parameters are ANDed together.\n"},"directDivision":{"name":"directDivision","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false,"description":"Restricts items to those whose division is in this list.\n\nUnlike `division=`, it does not follow ancestry.  That means it will limit the search to items\nthat are directly assigned to the divisions you list, whereas `division` (without the\n`direct`) will also include items that are assigned to their descendants.\n\nList the IDs of the divisions you are interested in separated by commas.  Item IDs are short\nalphanumeric strings, not URLs.\n\nBecause this is the first query parameter we added that contains a capital letter, this will\nbe the first time you have had to think about case sensitivity.  `directDivision` works,\n`directdivision` does not.\n\nResults are undefined if you provide an ID that is not in the form of a division ID.\n\nSearch parameters are ANDed together.\n\nAdded in 9.20.\n"},"description":{"name":"description","in":"query","required":false,"schema":{"type":"string"},"description":"Limits the returned items to those with a description that matches this string.  By default it\nis a substring match; surround it with double quotes `\"...\"` for an exact match.  A `_` will\nmatch any single character, and a `%` will match any substring.  With or without quotes,\nhaving either of these wildcards in the string will anchor it at both ends as though you had\nsurrounded it with `\"`.\n\nThe search is always case-insensitive.  Results are undefined if you search for the empty\nstring (`description=` or `description=\"\"`).\n\nSearch parameters are ANDed together.\n"},"pos":{"name":"pos","in":"query","required":false,"schema":{"type":"integer"},"description":"Reserved for internal use.  You may see it in URLs you receive from the server, but you must never add it yourself."},"skip":{"name":"skip","in":"query","required":false,"schema":{"type":"integer"},"description":"Reserved for internal use.  Do not add it to your queries."}},"schemas":{"InterlockGroupSearch":{"title":"Interlock group search","description":"**API support for interlocks is still in development and may change in future versions.**\n\nAn array of interlock group summaries and a `next` link for more.\n","properties":{"results":{"type":"array","description":"An array of interlock group summaries.","items":{"$ref":"#/components/schemas/InterlockGroupSummary"}},"next":{"type":"object","description":"The link to the next page.  Absent if you have retrieved them all.","properties":{"href":{"type":"string","format":"uri-reference"}}}}},"InterlockGroupSummary":{"title":"Interlock group summary","description":"**API support for interlocks is still in development and may change in future versions.**\n\n`/api/interlock_groups` returns an array of these.  It is a subset of what you get from an\ninterlock's details page at `/api/interlock_groups/{id}` (linked as the href in this object).\n","properties":{"href":{"type":"string","format":"uri-reference","description":"A link to an [interlock group detail](models#interlockgroupdetail) object for this\nitem.\n"},"name":{"type":"string"}}}}},"paths":{"/api/interlock_groups":{"get":{"tags":["Interlock Groups"],"summary":"Search interlock groups","description":"\n**Not yet available.  API support for interlocks is still in development and may change in\nfuture versions.**\n\nThis returns a summary of the interlock groups matching your search criteria.\n\nThe result will contain no more than 100 or 1000 interlock groups (depending on your\nversion), or as many as you asked for; you should follow the `next`\nlink, if it is present, to collect the next batch.\n\nIf your result set is empty it means your operator does not have a privilege that allows viewing\ninterlock groups, such as 'View Site', 'Edit Site', or 'Maintenance Override'.  Perhaps there\nare no interlock groups in the divisions in which your operator has privileges, or your\noperator has no privileges at all.\n\nWhen you have loaded them all there will be no `next` link.\n\nDo not code this URL into your application.  Take it from the 'href' field in the\n`features.interlockGroups.interlockGroups` section of `/api`.\n","parameters":[{"$ref":"#/components/parameters/sort"},{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/division"},{"$ref":"#/components/parameters/directDivision"},{"$ref":"#/components/parameters/description"},{"name":"fields","description":"This instructs the server to return only these fields in the search results.  The values you can list are the same as the field\nnames in the details page.  Using this you can return everything on the summary page that you\nwould find on the details page.  Separate values with commas.\n\nUse the special value `defaults` to return the fields you would have received had you not given\nthe parameter at all.  Obviously only do that if you have more to add.\n\nTreat the string matches as case-sensitive.\n","schema":{"type":"array","items":{"type":"string","enum":["href","id","name","shortName","description","division","commands","connectedController","statusFlags","statusText","status","notes","updates","defaults"]}},"in":"query","style":"form","explode":false,"required":false},{"$ref":"#/components/parameters/pos"},{"$ref":"#/components/parameters/skip"}],"responses":{"200":{"description":"Success.  See the note in the description about privileges if your result set is empty.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InterlockGroupSearch"}}}},"403":{"description":"The site has neither the RESTStatus nor the RESTOverrides licence.\n"}}}}}}
```

## Get details of an interlock group

> \*\*Not yet available.  API support for interlocks is still in development and may change in\
> future versions.\*\*\
> \
> This returns the detail of one interlock group.\
> \
> Follow the 'href' field in an \[interlock group summary]\(models#interlockgroupsummary)\
> to get here.<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Interlock Groups","description":"These methods, yet to be released, will give you read access to Interlock Group items.\n    \n**API support for interlocks is still in development and may change in future versions.**\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of interlock groups, each containing the fields you ask for in the\nquery.  You can, for instance, ask for the IDs you need to monitor their status.\n\n## Interlock Group status flags\n\nIf an interlock is not in an error state it will return one flag out of the following set:\n\n- `secure` means the interlock items are closed and the door/s will open to a badge.  This is\n  probably where an interlock group spends most of its time.\n\n- `open` means the interlock's doors will not open because at least one of the other items in\n  the group already is.  This is a normal state after someone gains access at an interlock door.\n  It will last until the door closes.\n\n- `overridden` means the interlock group has received a disable override.  Doors will open as\n  normal.\n\n- `forced` means that the interlock rules have been breached.  This could be because someone\n  forced a door, or used an emergency release while another door was already open.\n\nIf an interlock is completely normal it will report 'secure' or 'open'.\n\n## Use cases\n\n### Listing Interlock Groups\n1. `GET /api`.\n2. Follow the link at `features.interlockGroups.interlockGroups.href`, appending a search term\n   such as `name=substring` to select the interlocks, `top` if you expect lots of them, and\n   `fields` to tell the server what to return about each.  The next section covers those query\n   parameters.\n3. Process the results, following the `next` link if there is one.\n\n### Finding the status of many items including an interlock group\n1. Find the IDs of all the items you're interested in, including the interlock group, by\n   searching for them with a query parameter appended such as `fields=name,id`.\n2. Create a [status subscription](items#status-subscriptions) for those items.\n\n### Finding the status of an interlock group\n1. Find the href for the interlock using the process above, and GET it.\n3. Take the `updates` href from that page.\n4. GET it.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n### Overriding an Interlock Group\n1. Find the href for the interlock using the process above.\n2. GET it.\n3. Find the API URL for the override you need (disable or re-enable) in the `commands` structure\n   of the [results](models#interlockgroupdetail).\n4. POST to that URL with an empty body.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both."}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"id":{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"An internal identifier."}},"schemas":{"InterlockGroupDetail":{"title":"Interlock group detail","description":"**API support for interlocks is still in development and may change in future versions.**\n\n[/api/interlock_groups/{id}](interlock-groups#get-api-interlock_groups-id-) returns one of these.\n\nSome of the fields will not come from the server unless you request them via the `fields`\nquery parameter.\n","allOf":[{"$ref":"#/components/schemas/InterlockGroupSummary"},{"type":"object","properties":{"id":{"type":"string","description":"An alphanumeric identifier, unique to the server. This is the ID to use in the `source`\nparameter of [event filters](events#get-api-events) and in the body of [status\nsubscriptions](items#status-subscriptions) when you are interested in events originating at this item.\n"},"description":{"type":"string"},"division":{"type":"object","description":"The division containing this interlock group."},"shortName":{"type":"string","maxLength":16,"description":"Short names are not displayed by default.  You must ask for them using the\n'fields' parameter:\n\n`?fields=shortname,...`.\n"},"notes":{"type":"string","description":"Because of their potential size, notes are only available by request.  Use the 'fields'\nparameter:\n\n`?fields=defaults,notes,...`\n"},"updates":{"type":"object","description":"Follow the URL in the href inside this block to receive the item's current status, then follow\nthe `next` link in the results to long poll for changes to that status.\n\nThis method only monitors one item at a time.  To monitor the status of many items, use the\n[status-monitoring routes](#?route=post-/api/items/updates).\n\nUpdate pages take the same `fields` parameter as summary and details pages.  You should use\nthat to request all the fields you need in the update.\n","properties":{"href":{"type":"string","format":"uri-reference"}}},"statusFlags":{"type":"array","items":{"type":"string"},"description":"The search and details pages do not return status flags by default, because an item's status\nis unknown until something is monitoring it.  If you want status flags on the search and\ndetails pages you must ask for them using the `fields` parameter, but our advice is to monitor\nthem using [status subscriptions](items#status-subscriptions) if you are running 8.30 or\nlater, otherwise the item's `updates` link.  See the [item status](item-status) section\nfor a full description of how to stay up to date with item status, and this item's\nintroduction in the Operations section for what flags this item might return and what they\nmean.\n"},"statusText":{"description":"This field contains a translated multi-line human-readable description of the item's status. See the `statusFlags` field for notes on when you should ask for this field and how to keep it up to date.","type":"string"},"status":{"description":"This field contains the `statusText` field with line endings turned into spaces to make a one-line string.  See the `statusFlags` field for notes on when you should ask for this field and how to keep it up to date.","type":"string"},"connectedController":{"type":"object","description":"This block describes this item's hardware controller.\n\nRetrieving it takes a little more time than the other fields so only ask for it if you\nneed it.\n\nAdded in 8.50.\n","properties":{"name":{"type":"string"},"href":{"type":"string","format":"uri-reference","description":"This is the REST API's identifier for the hardware controller.  It is only an\nidentifier, not a usable URL, because there is no interface for hardware\ncontrollers.  GETting the URL will return a 404.\n"},"id":{"type":"string","description":"An alphanumeric identifier, unique to the server.  This is the ID to use in the `source`\nparameter of [event filters](events#get-api-events).\n"}}},"commands":{"type":"object","description":"A block of commands, each represented by a block containing an href that accepts a\nPOST that will send an override to the interlock.\n\nIt will be missing if your operator does not have a privilege that allows overriding\nthe interlock (examples of which are in the documentation for the POSTs).\n","properties":{"disable":{"type":"object","properties":{"href":{"description":"[POST](interlock-groups#post-api-interlock_groups-id-disable) to this to disable the\ninterlock group, allowing the doors to operate independently.\n","type":"string","format":"uri-reference"}}},"enable":{"type":"object","properties":{"href":{"description":"[POST](interlock-groups#post-api-interlock_groups-id-enable) to re-enable the\ninterlock group, causing its doors to return to interlock behaviour.\n","type":"string","format":"uri-reference"}}}}}}}]},"InterlockGroupSummary":{"title":"Interlock group summary","description":"**API support for interlocks is still in development and may change in future versions.**\n\n`/api/interlock_groups` returns an array of these.  It is a subset of what you get from an\ninterlock's details page at `/api/interlock_groups/{id}` (linked as the href in this object).\n","properties":{"href":{"type":"string","format":"uri-reference","description":"A link to an [interlock group detail](models#interlockgroupdetail) object for this\nitem.\n"},"name":{"type":"string"}}}},"responses":{"404interlock":{"description":"The request's URL does not represent an interlock or the operator does not have a privilege on\nthe interlock's division that allows viewing interlocks, such as 'View Site', 'Edit Site', or\n'Override'.\n"}}},"paths":{"/api/interlock_groups/{id}":{"get":{"tags":["Interlock Groups"],"summary":"Get details of an interlock group","description":"**Not yet available.  API support for interlocks is still in development and may change in\nfuture versions.**\n\nThis returns the detail of one interlock group.\n\nFollow the 'href' field in an [interlock group summary](models#interlockgroupsummary)\nto get here.\n","parameters":[{"$ref":"#/components/parameters/id"},{"name":"fields","description":"This instructs the server to return only these fields in the details page instead of the default set.  The values you can list\nare the same as the field names you would see in the results.  Use it to cut back on the size\nof the response.  Separate values with commas.\n\nTreat the string matches as case-sensitive.\n","schema":{"type":"array","items":{"type":"string","enum":["href","id","name","shortName","description","division","commands","connectedController","statusFlags","statusText","status","notes","updates","defaults"]}},"in":"query","required":false,"style":"form","explode":false}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InterlockGroupDetail"}}}},"403":{"description":"The site has neither the RESTStatus nor the RESTOverrides licence.\n"},"404":{"$ref":"#/components/responses/404interlock"}}}}}}
```

## Disable an interlock group.

> \*\*Not yet available.  API support for interlocks is still in development and may change in\
> future versions.\*\*\
> \
> Sends an override to disable an interlock group, allowing all doors to act independently.<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Interlock Groups","description":"These methods, yet to be released, will give you read access to Interlock Group items.\n    \n**API support for interlocks is still in development and may change in future versions.**\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of interlock groups, each containing the fields you ask for in the\nquery.  You can, for instance, ask for the IDs you need to monitor their status.\n\n## Interlock Group status flags\n\nIf an interlock is not in an error state it will return one flag out of the following set:\n\n- `secure` means the interlock items are closed and the door/s will open to a badge.  This is\n  probably where an interlock group spends most of its time.\n\n- `open` means the interlock's doors will not open because at least one of the other items in\n  the group already is.  This is a normal state after someone gains access at an interlock door.\n  It will last until the door closes.\n\n- `overridden` means the interlock group has received a disable override.  Doors will open as\n  normal.\n\n- `forced` means that the interlock rules have been breached.  This could be because someone\n  forced a door, or used an emergency release while another door was already open.\n\nIf an interlock is completely normal it will report 'secure' or 'open'.\n\n## Use cases\n\n### Listing Interlock Groups\n1. `GET /api`.\n2. Follow the link at `features.interlockGroups.interlockGroups.href`, appending a search term\n   such as `name=substring` to select the interlocks, `top` if you expect lots of them, and\n   `fields` to tell the server what to return about each.  The next section covers those query\n   parameters.\n3. Process the results, following the `next` link if there is one.\n\n### Finding the status of many items including an interlock group\n1. Find the IDs of all the items you're interested in, including the interlock group, by\n   searching for them with a query parameter appended such as `fields=name,id`.\n2. Create a [status subscription](items#status-subscriptions) for those items.\n\n### Finding the status of an interlock group\n1. Find the href for the interlock using the process above, and GET it.\n3. Take the `updates` href from that page.\n4. GET it.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n### Overriding an Interlock Group\n1. Find the href for the interlock using the process above.\n2. GET it.\n3. Find the API URL for the override you need (disable or re-enable) in the `commands` structure\n   of the [results](models#interlockgroupdetail).\n4. POST to that URL with an empty body.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both."}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"id":{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"An internal identifier."},"requested_by":{"name":"requested_by","in":"query","required":false,"schema":{"type":"string"},"description":"Attributes this override to the cardholder with this ID rather than the REST operator.\nPrivilege checks will use the operator as normal, but event monitors and reports will state\nthat the person responsible for the override was the attributed cardholder, not the REST\noperator.  The REST operator will appear in a special mention in the event's details.\n\nFirst available in 8.70.  Versions older than 8.70 will ignore the parameter, leaving the\noverride attributed to the REST operator.\n"}},"responses":{"403interlockoverride":{"description":"The site does not have the RESTOverrides licence (in which case the body of the result will\nsay so), or the operator does not have the 'Override' privilege.\n"}}},"paths":{"/api/interlock_groups/{id}/disable":{"post":{"tags":["Interlock Groups"],"summary":"Disable an interlock group.","description":"**Not yet available.  API support for interlocks is still in development and may change in\nfuture versions.**\n\nSends an override to disable an interlock group, allowing all doors to act independently.\n","parameters":[{"$ref":"#/components/parameters/id"},{"$ref":"#/components/parameters/requested_by"}],"responses":{"204":{"description":"Success."},"403":{"$ref":"#/components/responses/403interlockoverride"}}}}}}
```

## Re-enable an interlock group.

> \*\*Not yet available.  API support for interlocks is still in development and may change in\
> future versions.\*\*\
> \
> Cancels the disabling override on an interlock group, causing the doors to return to\
> interlocking behaviour.<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Interlock Groups","description":"These methods, yet to be released, will give you read access to Interlock Group items.\n    \n**API support for interlocks is still in development and may change in future versions.**\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of interlock groups, each containing the fields you ask for in the\nquery.  You can, for instance, ask for the IDs you need to monitor their status.\n\n## Interlock Group status flags\n\nIf an interlock is not in an error state it will return one flag out of the following set:\n\n- `secure` means the interlock items are closed and the door/s will open to a badge.  This is\n  probably where an interlock group spends most of its time.\n\n- `open` means the interlock's doors will not open because at least one of the other items in\n  the group already is.  This is a normal state after someone gains access at an interlock door.\n  It will last until the door closes.\n\n- `overridden` means the interlock group has received a disable override.  Doors will open as\n  normal.\n\n- `forced` means that the interlock rules have been breached.  This could be because someone\n  forced a door, or used an emergency release while another door was already open.\n\nIf an interlock is completely normal it will report 'secure' or 'open'.\n\n## Use cases\n\n### Listing Interlock Groups\n1. `GET /api`.\n2. Follow the link at `features.interlockGroups.interlockGroups.href`, appending a search term\n   such as `name=substring` to select the interlocks, `top` if you expect lots of them, and\n   `fields` to tell the server what to return about each.  The next section covers those query\n   parameters.\n3. Process the results, following the `next` link if there is one.\n\n### Finding the status of many items including an interlock group\n1. Find the IDs of all the items you're interested in, including the interlock group, by\n   searching for them with a query parameter appended such as `fields=name,id`.\n2. Create a [status subscription](items#status-subscriptions) for those items.\n\n### Finding the status of an interlock group\n1. Find the href for the interlock using the process above, and GET it.\n3. Take the `updates` href from that page.\n4. GET it.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n### Overriding an Interlock Group\n1. Find the href for the interlock using the process above.\n2. GET it.\n3. Find the API URL for the override you need (disable or re-enable) in the `commands` structure\n   of the [results](models#interlockgroupdetail).\n4. POST to that URL with an empty body.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both."}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"id":{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"An internal identifier."},"requested_by":{"name":"requested_by","in":"query","required":false,"schema":{"type":"string"},"description":"Attributes this override to the cardholder with this ID rather than the REST operator.\nPrivilege checks will use the operator as normal, but event monitors and reports will state\nthat the person responsible for the override was the attributed cardholder, not the REST\noperator.  The REST operator will appear in a special mention in the event's details.\n\nFirst available in 8.70.  Versions older than 8.70 will ignore the parameter, leaving the\noverride attributed to the REST operator.\n"}},"responses":{"403interlockoverride":{"description":"The site does not have the RESTOverrides licence (in which case the body of the result will\nsay so), or the operator does not have the 'Override' privilege.\n"}}},"paths":{"/api/interlock_groups/{id}/enable":{"post":{"tags":["Interlock Groups"],"summary":"Re-enable an interlock group.","description":"**Not yet available.  API support for interlocks is still in development and may change in\nfuture versions.**\n\nCancels the disabling override on an interlock group, causing the doors to return to\ninterlocking behaviour.\n","parameters":[{"$ref":"#/components/parameters/id"},{"$ref":"#/components/parameters/requested_by"}],"responses":{"204":{"description":"Success."},"403":{"$ref":"#/components/responses/403interlockoverride"}}}}}}
```

## Monitor an interlock group.

> \*\*Not yet available.  API support for interlocks is still in development and may change in\
> future versions.\*\*\
> \
> See the \[item status topic]\(item-status) for how to use the updates APIs.\
> \
> Note that this API call is good for watching one item only; if you want to monitor several,\
> you are better off with a \[status subscription]\(items#status-subscriptions).\
> \
> Follow the 'updates' field in an interlock group\
> \[summary]\(models#interlockgroupsummary) or\
> \[details]\(models#interlockgroupdetail) page to get here.<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Interlock Groups","description":"These methods, yet to be released, will give you read access to Interlock Group items.\n    \n**API support for interlocks is still in development and may change in future versions.**\n\nThe first use case below introduces the main entry point.  It is a paginated search interface\nthat gives you any number of interlock groups, each containing the fields you ask for in the\nquery.  You can, for instance, ask for the IDs you need to monitor their status.\n\n## Interlock Group status flags\n\nIf an interlock is not in an error state it will return one flag out of the following set:\n\n- `secure` means the interlock items are closed and the door/s will open to a badge.  This is\n  probably where an interlock group spends most of its time.\n\n- `open` means the interlock's doors will not open because at least one of the other items in\n  the group already is.  This is a normal state after someone gains access at an interlock door.\n  It will last until the door closes.\n\n- `overridden` means the interlock group has received a disable override.  Doors will open as\n  normal.\n\n- `forced` means that the interlock rules have been breached.  This could be because someone\n  forced a door, or used an emergency release while another door was already open.\n\nIf an interlock is completely normal it will report 'secure' or 'open'.\n\n## Use cases\n\n### Listing Interlock Groups\n1. `GET /api`.\n2. Follow the link at `features.interlockGroups.interlockGroups.href`, appending a search term\n   such as `name=substring` to select the interlocks, `top` if you expect lots of them, and\n   `fields` to tell the server what to return about each.  The next section covers those query\n   parameters.\n3. Process the results, following the `next` link if there is one.\n\n### Finding the status of many items including an interlock group\n1. Find the IDs of all the items you're interested in, including the interlock group, by\n   searching for them with a query parameter appended such as `fields=name,id`.\n2. Create a [status subscription](items#status-subscriptions) for those items.\n\n### Finding the status of an interlock group\n1. Find the href for the interlock using the process above, and GET it.\n3. Take the `updates` href from that page.\n4. GET it.\n4. Use the flag rules above to interpret the status flags you receive.\n5. Follow the `next` link to stay up to date.\n\n### Overriding an Interlock Group\n1. Find the href for the interlock using the process above.\n2. GET it.\n3. Find the API URL for the override you need (disable or re-enable) in the `commands` structure\n   of the [results](models#interlockgroupdetail).\n4. POST to that URL with an empty body.\n\n## Licensing\n\nAll the POSTs that override items require RESTOverrides.\n\nIf you have RESTOverrides but not RESTStatus in 8.60 or later, the GETs return enough\ninformation to let you find the item you want to override but they do not return its status.  In\n8.50 and older, the GET will fail without RESTStatus.\n\nThe RESTOverrides and RESTStatus licences do not overlap: to watch the status of an item as well\nas override it, you will need both."}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"id":{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"An internal identifier."},"updates_fields":{"name":"fields","in":"query","required":false,"style":"form","explode":false,"description":"This instructs the server to return these fields in the update, instead of the default set.\nYou will not hear about updates to fields you do not list.\n","schema":{"type":"string","enum":["status","statusText","statusFlags"]}}},"responses":{"403nolicence":{"description":"A server running 8.50 or earlier is missing the RESTStatus licence.  A server running 8.60\nor later is missing both the RESTStatus and RESTOverrides licences.  One of those is enough\nfor this API call in 8.60 and later.\n"},"404interlock":{"description":"The request's URL does not represent an interlock or the operator does not have a privilege on\nthe interlock's division that allows viewing interlocks, such as 'View Site', 'Edit Site', or\n'Override'.\n"}}},"paths":{"/api/interlock_groups/{id}/updates":{"get":{"tags":["Interlock Groups"],"summary":"Monitor an interlock group.","description":"**Not yet available.  API support for interlocks is still in development and may change in\nfuture versions.**\n\nSee the [item status topic](item-status) for how to use the updates APIs.\n\nNote that this API call is good for watching one item only; if you want to monitor several,\nyou are better off with a [status subscription](items#status-subscriptions).\n\nFollow the 'updates' field in an interlock group\n[summary](models#interlockgroupsummary) or\n[details](models#interlockgroupdetail) page to get here.\n","parameters":[{"$ref":"#/components/parameters/id"},{"$ref":"#/components/parameters/updates_fields"}],"responses":{"200":{"description":"Success.  See the [introduction](interlock-groups) for a description of the status\nfields.\n","content":{"application/json":{"schema":{"type":"object"}}}},"403":{"$ref":"#/components/responses/403nolicence"},"404":{"$ref":"#/components/responses/404interlock"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.security.gallagher.com/knowledge-hub/developer/rest-api/interlock-groups.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
